Subject: bug#55587: bug#55596: Guix/Guile segfaults on `guix import texlive`

From: Ludovic Courtès <[email-masked]>
Date: Wed, 15 Jun 2022 22:39:21 +0200

Hello,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> I think you might be barking up the wrong tree (or, likely, that there
> are multiple trees here).  I could reproduce the segfault on Guix
> System and encouraged Jack to file this bug.
>
> It's not foreign-distro-related.  The process actually segfaulting is
> Guix, not svn, possibly due to a missing svn.

I don’t think so; the error message that was reported is:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/latex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal 11

It’s a message from ‘report-invoke-error’ in (guix build utils).  It’s
really svn that’s segfaulting.

Should we close and reopen if/when we have more info?

Thanks,
Ludo’.